# SNESLineSearchNo

This routine is not a line search at all; it simply uses the full Newton step. Thus, this routine is intended to serve as a template and is not recommended for general use.

### Synopsis

    PetscErrorCode PETSCSNES_DLLEXPORT SNESLineSearchNo(SNES snes,void *lsctx,Vec x,Vec f,Vec g,Vec y,Vec w,PetscReal fnorm,PetscReal *ynorm,PetscReal *gnorm,PetscTruth *flag)

Collective on SNES and Vec

### Input Parameters

| snes | - nonlinear context
| lsctx | - optional context for line search (not used here)
| x | - current iterate
| f | - residual evaluated at x
| y | - search direction
| w | - work vector
| fnorm | - 2-norm of f

### Output Parameters

| g | - residual evaluated at new iterate y
| w | - new iterate
| gnorm | - 2-norm of g
| ynorm | - 2-norm of search length
| flag | - PETSC_TRUE on success, PETSC_FALSE on failure

### Options Database Key

-snes_ls basic -Activates SNESLineSearchNo()

### Keywords

SNES, nonlinear, line search, cubic

### See Also

SNESLineSearchCubic(), SNESLineSearchQuadratic(),
SNESLineSearchSet(), SNESLineSearchNoNorms()

Level:advanced
Location:src/snes/impls/ls/ls.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages